aboutsummaryrefslogtreecommitdiffstats
path: root/bin/may_execute_command
diff options
context:
space:
mode:
Diffstat (limited to 'bin/may_execute_command')
-rwxr-xr-xbin/may_execute_command11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/may_execute_command b/bin/may_execute_command
new file mode 100755
index 0000000..6e35e3c
--- /dev/null
+++ b/bin/may_execute_command
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Executes a shell command.
+# @option --shell-command~ "Shell command to execute, such as `ls -la`"
+
+main() {
+ eval $argc_shell_command
+}
+
+eval "$(argc --argc-eval "$0" "$@")"